<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title><?= Site_Title ?></title>
  <link rel="stylesheet" href="<?= BASE_URL ?>assets/css/style.css">

</head>

<body>
  <!-- partial:index.partial.html -->
  <div class="page">
    <div class="pageHeader">
      <div class="title">Dashboard</div>
      <div class="userPanel"><i class="fa fa-chevron-down"></i><span class="username">ahmad </span><img src="assets/img/pic.jpg" width="40" height="40" /></div>
    </div>
    <div class="main">
      <div class="nav">
        <div class="searchbox">
          <div><i class="fa fa-search"></i>
            <input type="search" placeholder="Search" />
          </div>
        </div>
        <div class="menu">
          <div class="title">folders</div>
          <ul class="folder-list">
          <li class="<?=isset($_GET['folder_id']) ? '' : 'active' ?>"><i class="fa <?=isset($_GET['folder_id']) ? 'fa-folder' : 'fa-folder-open' ?>"></i>ALL</li>
            <?php foreach ($folders as $folder): ?>      
              <li class="<?= ($_GET['folder_id']==$folder->id) ? 'active': '' ?>">
                <a href="?folder_id=<?= $folder->id ?>"><i class="fa <?=($_GET['folder_id']==$folder->id) ? 'fa-folder-open' : 'fa-folder' ?>"></i><?= $folder->name ?></a>
                <a href="?delete_folder=<?= $folder->id ?>"><img id='deleteImg' onclick="return confirm('Are You Sure To Delete This Item ?\n<?=$folder->name?>');" src="assets/img/trash-alt-regular.svg" width="20" height="14"></img></a>
              </li>
            <?php endforeach; ?>
          </ul>
          <div>
            <input type="text" id="addFolderInput" placeholder="Add new folder"/>
            <button id="addFolderBtn" class="btn clickable"><i class="fa fa-plus"></i> </button>
          </div>
        </div>
      </div>
      <div class="view">
        <div class="viewHeader">
          <div class="title" style="width: 50%;">
            <input type="text" id="addTaskInput" placeholder="Add new Task" style="line-height: 30px; width: 100%;text-align: center;">
            
          </div>
          <div class="functions">
            <div class="button active">Add New Task</div>
            <div class="button">Completed</div>
            <div class="button inverz"><i class="fa fa-trash-o"></i></div>
          </div>
        </div>
        <div class="content">
          <div class="list">
            <div class="title">Today</div>
            <ul>
          <?php if(sizeof($Tasks)) :?>   
            <?php foreach ($Tasks as $Task):?>
              <li class="<?=$Task->is_done ? 'checked' : '' ; ?>">
                <i class="fa <?= $Task->is_done ? 'fa-check-square-o' : 'fa-square-o' ; ?>"></i>
                <span><?=$Task->title?></span>
                <div class="info">
                  <span class="created-at"><?=$Task->created_at?></span>
                  <a href="?delete_task=<?= $Task->id ?>"><img onclick="return confirm('Are You Sure to Delete This Item ?\n<?=$Task->title?>');" src="assets/img/trash-alt-regular.svg" width="20" height="14" style="padding-top: 17px; padding-right: 15px;"></img></a>
                </div>
              </li>
            <?php endforeach; ?>
          <?php else: ?> 
            <li> NO Task Here ...</li>
          <?php endif; ?>
            </ul>
          </div>

        </div>
      </div>
    </div>
  </div>
  <!-- partial -->
  <script src='https://cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js'></script>
  <script src="assets/js/script.js"></script>
  <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
  <script>
    
    $(document).ready(function(){   
       $('#addFolderBtn').click(function() {
         var input = $('input#addFolderInput');
         $.ajax({
         url:'process/ajaxHandler.php',
         method:'POST',
         data:{action:'addfolder',folderName:input.val()},
         success:function(response){
           if(response=='1'){
           
            $('<li><a href="#"><i class="fa fa-folder"></i>'+input.val()+'</a><a href="?delete_task=<?= $Task->id ?>"><img  src="assets/img/trash-alt-regular.svg" width="20" height="14"></img></a></li>').appendTo('ul.folder-list');
            
          
           }else{
         
             swal("Good jobs !", response, "success");
           }
       }
     });
     });   
   });  

  $('#addTaskInput').on('keypress',function(e) {
        if(e.which == 13) {
          $.ajax({
         url:'process/ajaxHandler.php',
         method:'POST',
         data:{action:'addTask',folderId:<?=$_GET['folder_id']?>,taskTitle:$('#addTaskInput').val()},
         success:function(response){
           if(response){
             
            location.reload();
           // $('<li><a href="#"><i class="fa fa-folder"></i>'+input.val()+'</a><a href="?delete_task=<?= $Task->id ?>"><img  src="assets/img/trash-alt-regular.svg" width="20" height="14"></img></a></li>').appendTo('ul.folder-list');
            
          
           }else{
         
             swal("Fatal Error !", response, "error");
           }
       }
     });
       
      }
      
      });

    
      $('#addTaskInput').focus();
    </script>


</body>

</html>

